Bug 207292 - Review Request: ruby-racc - LALR(1) Parser Generator
Review Request: ruby-racc - LALR(1) Parser Generator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-20 11:01 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-09 18:07:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2006-09-20 11:01:45 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/ruby-racc.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/ruby-racc-1.4.5-2.src.rpm
Description: 

Racc is Ruby yACC. It is written in Ruby and generates ruby code.
Now almost all functions of yacc are implemented.
Comment 1 Kevin Fenzi 2006-09-23 01:48:04 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (LGPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
c23ee98abe79f051243adf04d4a82900  racc-1.4.5-all.tar.gz
c23ee98abe79f051243adf04d4a82900  racc-1.4.5-all.tar.gz.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
See below - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package doesn't own any directories other packages own.
OK - No rpmlint output.

SHOULD Items:

OK - Should include License or ask upstream to include it.
OK - Should build in mock.
(fc6 {i386|x86_64})

Issues:

1. Minor issue: Might change:
%defattr(-,root,root)
to
%defattr(-,root,root,-)

Otherwise it looks good, so this package is APPROVED.
Don't forget to close this bug as NEXTRELEASE once it's been imported and 
built. 
Comment 2 Kevin Fenzi 2006-10-08 00:29:45 EDT
Ping David: Looks like this package has not yet been imported/built. 
Do you still wish to maintain it? 
Comment 3 David Lutterkort 2006-10-09 18:07:41 EDT
I imported this package now - sorry for the delay, I was preoccupied with some
other things.

Note You need to log in before you can comment on or make changes to this bug.